package de.ozgcloud.processor.result;

import static org.assertj.core.api.Assertions.*;

import jakarta.validation.ConstraintViolationException;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import de.itvsh.kop.common.test.ITCase;
import de.ozgcloud.processor.processor.ProcessorResultTestFactory;

@ITCase
class ResultServiceITCase {

	@Autowired
	private ResultService resultService;

	@Nested
	class TestProcessResult {
		@Test
		void shouldDenyMissingVorgangId() {
			var result = ProcessorResultTestFactory.createBuilder().vorgangId(null).build();

			assertThatThrownBy(() -> resultService.processResult(result)).isInstanceOf(ConstraintViolationException.class);
		}
	}

}
